import { CacheControl } from "@tusbar/cache-control";
export class NuxtMultiCacheCDNHelper {
  constructor() {
    this._tags = [];
    this._control = new CacheControl();
  }
  set(key, value) {
    this._control[key] = value;
    return this;
  }
  addTags(tags) {
    this._tags.push(...tags);
    return this;
  }
  setNumeric(key, value) {
    const currentValue = this._control[key];
    if (currentValue === null || currentValue === void 0 || value < currentValue) {
      this._control[key] = value;
    }
    return this;
  }
  private() {
    this._control.private = true;
    this._control.public = false;
    return this;
  }
  public() {
    if (!this._control.private) {
      this._control.public = true;
    }
    return this;
  }
}
