export class NuxtMultiCacheRouteCacheHelper {
  constructor() {
    this.tags = [];
    this.cacheable = null;
    this.maxAge = null;
  }
  addTags(tags = []) {
    this.tags.push(...tags);
    return this;
  }
  setCacheable() {
    if (this.cacheable === null) {
      this.cacheable = true;
    }
    return this;
  }
  setUncacheable() {
    this.cacheable = false;
    return this;
  }
  setMaxAge(maxAge = 0) {
    if (!this.maxAge || maxAge < this.maxAge) {
      this.maxAge = maxAge;
    }
    return this;
  }
}
