export const MULTI_CACHE_CONTEXT_KEY = "__MULTI_CACHE";
export const MULTI_CACHE_ROUTE_CONTEXT_KEY = "__MULTI_CACHE_ROUTE";
export const MULTI_CACHE_CDN_CONTEXT_KEY = "__MULTI_CACHE_CDN";
export function getMultiCacheContext(event) {
  return event?.context?.[MULTI_CACHE_CONTEXT_KEY];
}
export function getMultiCacheRouteHelper(event) {
  return event?.context?.[MULTI_CACHE_ROUTE_CONTEXT_KEY];
}
export function getMultiCacheCDNHelper(event) {
  return event?.context?.[MULTI_CACHE_CDN_CONTEXT_KEY];
}
export function getExpiresValue(maxAge) {
  return Math.round(Date.now() / 1e3 + maxAge);
}
export function isExpired(item) {
  return item.expires ? Date.now() / 1e3 > item.expires : false;
}
