import { defineEventHandler } from "h3";
import { getMultiCacheContext } from "./../../helpers/server.mjs";
import { checkAuth } from "./helpers/index.mjs";
export default defineEventHandler(async (event) => {
  await checkAuth(event);
  const cacheContext = getMultiCacheContext(event);
  if (!cacheContext) {
    return;
  }
  let key;
  for (key in cacheContext) {
    const cache = cacheContext[key];
    if (cache) {
      await cache.clear();
    }
  }
  return {
    status: "OK"
  };
});
