import { defineEventHandler } from "h3";
import {
  MULTI_CACHE_CONTEXT_KEY,
  MULTI_CACHE_ROUTE_CONTEXT_KEY
} from "./../helpers/server";
import { NuxtMultiCacheRouteCacheHelper } from "./../helpers/RouteCacheHelper.mjs";
import { getModuleConfig } from "./helpers/index.mjs";
import { loadCacheContext } from "./helpers/storage.mjs";
let hasEnabledForRequestMethod = null;
export async function shouldAddCacheContext(event) {
  if (hasEnabledForRequestMethod === false) {
    return true;
  }
  const moduleConfig = await getModuleConfig();
  if (!moduleConfig.enabledForRequest) {
    hasEnabledForRequestMethod = false;
    return true;
  }
  return !!await moduleConfig.enabledForRequest(event);
}
export default defineEventHandler(async (event) => {
  const shouldAdd = await shouldAddCacheContext(event);
  if (shouldAdd) {
    const cacheContext = await loadCacheContext();
    event.context[MULTI_CACHE_CONTEXT_KEY] = cacheContext;
    event.context[MULTI_CACHE_ROUTE_CONTEXT_KEY] = new NuxtMultiCacheRouteCacheHelper();
  }
});
