import { defu } from "defu";
import { loadNuxtConfig } from "@nuxt/kit";
import { defaultOptions } from "./../../settings.mjs";
import { useRuntimeConfig } from "#imports";
let moduleConfig = null;
export function getModuleConfig() {
  if (moduleConfig) {
    return Promise.resolve(moduleConfig);
  }
  const { multiCache } = useRuntimeConfig();
  return loadNuxtConfig({
    cwd: multiCache.rootDir
  }).then((v) => {
    moduleConfig = defu(
      {},
      v.multiCache,
      defaultOptions
    );
    return moduleConfig;
  });
}
