import { createStorage } from "unstorage";
import { getModuleConfig } from "./../helpers/index.mjs";
let promise = null;
export function loadCacheContext() {
  if (promise) {
    return promise;
  }
  promise = getModuleConfig().then((config) => {
    const cacheContext = {};
    if (config.component && config.component.enabled) {
      cacheContext.component = createStorage(config.component.storage);
    }
    if (config.data && config.data.enabled) {
      cacheContext.data = createStorage(config.data.storage);
    }
    if (config.route && config.route.enabled) {
      cacheContext.route = createStorage(config.route.storage);
    }
    return cacheContext;
  });
  return promise;
}
